Support » Plugin: Change Text Case » Deprecated: Non-static method change_case::add_tinymce_plugin

  • Resolved marcofama

    (@marcofama)


    hi mate

    I finally thought I found the solution to my annoyance too πŸ™‚ but I’ve just installed it and get the following:

    Deprecated: Non-static method change_case::add_tinymce_plugin() should not be called statically in /var/www/vhosts/XXXXXXX.it/httpdocs/wp-includes/class-wp-hook.php on line 286

    does it have to do with the WordPress 5.0?

    thanks a lot

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author Michael Aronoff

    (@masterk)

    No, it is not a matter of WordPress 5. It is your error reporting of PHP.

    That is a warning of a function that still works but will not at some point in the future. Normally you should not have those errors shown unless you are a developer who is debugging something.

    It is just a warning that something will need to be changed later on.

    I am looking at a total re-work of the plugin to work with WordPress 5’s block text editor rather than just the “Classic Block” so it will be updated down the road.

    So for now you can change your PHP error warning level to now show Deprecated errors or you can ignore it.

    hey Michael

    thanks a lot for your input, much appreciated!

    Is it something I need to do at hosting side? I checked the wp-config file and the line
    define(‘WP_DEBUG’, false);

    seems to be ok…

    not sure where this comes from..

    thanks

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Deprecated: Non-static method change_case::add_tinymce_plugin’ is closed to new replies.